from xvm_main.python.logger import *
import xvm_main.python.config as config

from Account import PlayerAccount
from gui.shared.utils.requesters.ItemsRequester import REQ_CRITERIA
from helpers import dependency
from skeletons.gui.goodies import IGoodiesCache
from gui.goodies.goodie_items import _BOOSTER_TYPE_NAMES as BTN
from gui.Scaleform.daapi.view.lobby.hangar.Hangar import Hangar
from helpers import time_utils
from gui.Scaleform.locale.MENU import MENU
from gui.Scaleform.daapi.view.meta.LobbyHeaderMeta import LobbyHeaderMeta


boostersName = dict.fromkeys(BTN.values())
# boostersGuiType = {'booster_gold': '',
#                    'booster_credits': 'booster_credits_small_bw',
#                    'booster_xp': 'booster_xp_small_bw',
#                    'booster_crew_xp': 'booster_crew_xp_small_bw',
#                    'booster_free_xp': 'booster_free_xp_small_bw'}
autoReloadConfig = False
isBattle = False
goodiesCache = dependency.instance(IGoodiesCache)
activeBoosters = None

BOOSTER_ICON = '../maps/icons/boosters/activeBoosterIcon.png'
BOOSTER_BG = '../maps/icons/boosters/activeBoosterBg.png'
BOOSTER_ICON_EMPTY = '../maps/icons/filters/empty.png'

def readConfig():
    global autoReloadConfig, boostersName
    autoReloadConfig = config.get('autoReloadConfig')
    for k in boostersName.iterkeys():
        boostersName[k] = config.get('boosters/boostersName/{}'.format(k[8:]), None)


readConfig()


@overrideMethod(LobbyHeaderMeta, 'as_nameResponseS')
def as_nameResponseS(base, self, data):
    if data['boosterIcon'] == BOOSTER_ICON and config.get('hangar/hideActiveBooster', False):
        data['boosterIcon'] = BOOSTER_ICON_EMPTY
        data['boosterBg'] = BOOSTER_ICON_EMPTY
        data['boosterText'] = ''
    base(self, data)


@registerEvent(PlayerAccount, 'onArenaCreated')
def onArenaCreated(self):
    global isBattle
    isBattle = True


@registerEvent(Hangar, '_populate')
def Hangar_populate(self):
    global isBattle
    isBattle = False


def booster(index):
    global activeBoosters
    if not isBattle:
        activeBoosters = goodiesCache.getBoosters(criteria=REQ_CRITERIA.BOOSTER.ACTIVE).values()
    # log('-----------begin-------------')
    # for i, a in enumerate(activeBoosters):
    #     boosterName = boostersName.get(a.boosterGuiType, None)
    #     log('boost[%s] = %s' % (i, boosterName))
    # log('------------end--------------')
    countBoosters = len(activeBoosters)
    if countBoosters == 0:
        return None
    if index == 0:
        listFinishTime = [x.finishTime for x in activeBoosters]
        index = listFinishTime.index(min(listFinishTime)) + 1
    b = activeBoosters[index - 1] if (index is not None) and (index > 0) and (countBoosters >= index) else None
    if isBattle:
        if (b is not None) and (b.getUsageLeftTime() <= 0):
            activeBoosters.pop(index-1)
            return None
    return b


@xvm.export('bst.countBoosters', deterministic=False)
def getCountBoosters():
    global activeBoosters
    if not isBattle:
        activeBoosters = goodiesCache.getBoosters(criteria=REQ_CRITERIA.BOOSTER.ACTIVE).values()
    return len(activeBoosters)


@xvm.export('bst.leftTimeMin', deterministic=False)
def leftTimeMin(index=0, norm=None):
    b = booster(index)
    if b is not None:
        seconds = b.getUsageLeftTime()
        return norm * seconds / b.effectTime if isinstance(norm, (float, int)) else seconds / 60
    return None


@xvm.export('bst.leftTime', deterministic=False)
def leftTime(index=0):
    b = booster(index)
    return b.getShortLeftTimeStr() if b is not None else None


@xvm.export('bst.name', deterministic=False)
def leftTime(index=0):
    b = booster(index)
    if b is None:
        return None
    if autoReloadConfig:
        readConfig()
    boosterName = boostersName.get(b.boosterGuiType, None)
    return b.userName if boosterName is None else boosterName


@xvm.export('bst.type', deterministic=False)
def bst_type(index=0):
    b = booster(index)
    return b.boosterGuiType if b is not None else None
